Page MenuHomePhabricator

cloudvps: wikidumpparse project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the wikidumpparse project needs to upgrade as soon as possible.

The list of affected VMs is:

  • wigi.wikidumpparse.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/wikidumpparse

Event Timeline

aborrero triaged this task as Medium priority.Sep 18 2018, 12:25 PM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 12:25 PM

What is the deadline exactly for migrating to Stretch then? And is there an
easy automated way of migrating, or does everything need to be provisioned
"fresh" and manually remade?

Make a great day,
Max Klein ‽ http://notconfusing.com/

What is the deadline exactly for migrating to Stretch then?

We have not set a firm date after which we will be forced to shut down unmaintained projects, but it will likely fall near April 1st 2019.

And is there an easy automated way of migrating, or does everything need to be provisioned
"fresh" and manually remade?

Our recommendation is to provision new virtual machine instances using the Debian Stretch base image and then customize the image for your project's purpose. The degree to which this process can be automated depends in large part on what work has already been done within the project to automate configuration of instances. Some projects have invested in Puppet modules that automate most or all of the work. Some make use of other system automation tools to reduce or eliminate manual steps.

Thanks for the responses @bd808 . I'll get this done before April 2019.

Make a great day,
Max Klein ‽ http://notconfusing.com/

Krenair added a subscriber: Krenair.

Hi @Maximilianklein, please note that https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects is now showing the deadline as 2018-12-18. Please get in contact if you need help.

Oy, thanks for letting me know the deadline moved up.

Another ping. Deadline is approaching (2018-12-18).

I've got the Stretch VPS provisioned, and i see the files through the NSF.
So I think I'm done (except the new service isn't running on new VPS yet
because of differences in the JAVA that the distributions provide).

Make a great day,
Max Klein ‽ http://notconfusing.com/

Andrew added a subscriber: Andrew.Dec 14 2018, 2:22 PM

Hello! I was just about to move your old VM ('wigi.wikidumpparse.eqiad.wmflabs') to the new cloud region, but I see here that you've already built a replacement for it. Can 'wiki' just be deleted rather than moved?

Thanks!

-Andrew

@Maximilianklein: It looks like this has been completed, please confirm by closing the task.

aborrero closed this task as Resolved.Dec 21 2018, 11:30 AM

There are no Trusty VMs in this project. Closing task now.